<?xml version="1.0" encoding="UTF-8"?>

<ClassComponent localName="Редактор типов дат"
	description="Позволяет назначать/удалять праздничные дни и выходные"
	fileName="WorkTimeCalendar.jar"
	className="org.mati.npc.components.ass.worktimecalendar.WorkTimeCalendar"
	version="8876" time="17.02.2009 01:04:42">

	<Group>Визуальные компоненты</Group>

	<!-- INLINK -->
	<INLink name="InFaceComponent" description="Связь с компонентом контейнером"
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>

	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<!-- ATTRIBUTES -->
	<Attribute name="PositionX" description="Координата левого верхнего угла по оси X"
		defaultValue="0"
		type="java.lang.Integer" nullable="false" />
	<Attribute name="PositionY" description="Координата левого верхнего угла по оси Y"
		defaultValue="0"
		type="java.lang.Integer" nullable="false" />
	<Attribute name="SizeWidth" description="Ширина" type="java.lang.Integer"
		defaultValue="800"
		nullable="false" />
	<Attribute name="SizeHeight" description="Высота" nullable="false"
		defaultValue="600"
		type="java.lang.Integer" />
	<Attribute name="HolidayColor" description="Цвет праздничного дня"
		defaultValue="10747904"
		nullable="false" type="java.awt.Color" />
	<Attribute name="WorkdayColor" description="Цвет будничного дня"
		defaultValue="23204"
		nullable="false" type="java.awt.Color" />
	<Attribute name="Weekend1Color" description="Цвет выходного дня 1"
		defaultValue="10773504"
		nullable="false" type="java.awt.Color" />
	<Attribute name="Weekend2Color" description="Цвет выходного дня 2"
		defaultValue="10747904"
		nullable="false" type="java.awt.Color" />
	<Attribute name="PreholidayColor" description="Цвет предпраздничного дня"
		defaultValue="164"
		nullable="false" type="java.awt.Color" />
	<Attribute name="ShortdayColor" description="Цвет короткого дня"
		defaultValue="25700"
		nullable="false" type="java.awt.Color" />
</ClassComponent>